Hub Planner integration: operations for AI agents
Hub Planner connects to Type.com as an integration. This page lists the 57 operations documented for Claude and Codex in Type.com: 21 read, 16 write, 20 destructive.
About Hub Planner
A Modern and Smart Resource Management, Planning & Scheduling tool with Time Sheets and Powerful Reporting. Ideal for Managing Global Teams of Resources.
Categories: Productivity & Project Management
How to connect Hub Planner to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
57 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
57 operations listed.
Resources
- Read
Get all resources
Get all resources loaded into the account. Will return an array of resource objects. The following is a description of the properties in the response.
- Read
Get a resource by ID
Pass a specific {{RESOURCEID}} if you would like to query just 1 resource.
- Read
Get Resource Custom Fields
Get Resource Custom Fields
- Read
Get all Resource Tags
Get all Resource Tags
- Write
Resource search
If you only want a certain status of resource such as STATUSACTIVE .
- Write
Create a Resource
Property Type Description Default Required Sortable id string id of the Resource - NO NO email string Resource Email (Unique) - NO YES metadata string You can add your own data here (255 Characters) - NO YES createdDate string Resource Creation Date - NO YES updatedDate string R…
- Write
Update Multiple Resources
You just need to pass in multiple objects in the array [] to bulk update multiple resources.
- Write
Add new Resource Tag
This operation works as adding to set, meaning that it preserves already existing tags and appends only new ones added in request body.
- Destructive
Update a resource
You can easily update a resource by passing the id of the resource and the property you would like to update.
- Destructive
Delete a Resource
Use the following command to delete a specific resource by id.
- Destructive
Delete multiple Resources
To delete multiple resources provide the array of ids in the request body.
- Destructive
Remove Resource Tag from Resource
Remove Resource Tag from Resource
Projects
- Read
Projects
Get all projects from API. You can use pagination and/or sorting (see example). The following is a description of the properties in the response.
- Read
Get Project by ID
Get Project by ID
- Read
Get Project Custom Fields
Get Project Custom Fields
- Read
Get Project Clients
Get Project Clients
- Write
Project search
If you only want a certain status of project such as STATUSACTIVE .
- Write
Create a Project
Creates a new project/s. To create multiple project at once, pass in an array of objects.
- Write
Update Multiple Projects
Updates multiple projects at once.
- Write
Add Resources to a Project
Add Resources to a Project
- Write
Add Clients to a Project
Add Clients to a Project
- Destructive
Update Project
Update a Project. There is no need to send the whole project object, just properties that should be changed. You can also use PATCH method with only one object included in array.
- Destructive
Delete a Project
Delete a Project
- Destructive
Delete Multiple Projects
Updates multiple projects at once.
- Destructive
Remove Resource from Projects
Remove Resource from Projects
- Destructive
Remove a Client from Projects
Remove a Client from Projects
Public Holidays
- Read
Get All Public Holiday Calendars
Get All Public Holiday Calendars GET /calendar The call will return an array of calendars for your company. By default customer has one calendar, called "Company Holidays". With the Global Public Holidays extension installed you can create more calendars.
- Read
Get A Public Holiday Calendar by ID
Get A Public Holiday Calendar by ID Use the following command to get a specific calendar by id. GET /calendar/12345678 Will return a calendar with the id 12345678 A successful resource will return a 200 Ok response status from the server.
- Read
Get all holidays
Get All Calendars GET /calendar The call will return an array of calendars. By default customer has one calendar, called "Company Holidays". The following is a description of the properties in the response.
- Read
Get a holiday by id
Get All Calendars GET /calendar The call will return an array of calendars. By default customer has one calendar, called "Company Holidays". The following is a description of the properties in the response.
- Write
Create a Public Holiday Calendar
Create a Public Holiday Calendar. Customer calendars are part of a 'Global Public Holiday Calendars' extension.
- Write
Create a holiday
Create a holiday
- Write
Create a holiday in a specific calendar
Create a new Holiday in a specific calendar Customer calendars are part of a 'Holiday Calendars' extension.
- Write
Holiday search
Holiday search
- Destructive
Update an Existing Public Holiday Calendar
Update an Existing Public Holiday Calendar PUT /calendar/123456789 will update the calendar with the id 123456789. You must pass in the entire calendar object in the body when updating so no values will be overwritten to default.
- Destructive
Delete a Public Holiday Calendar
Delete a Public Holiday Calendar Use the following command to delete a specific public holiday calendar by id. Will delete a calendar with the id {{CALENDARID}} A successful delete will return a 200 Ok response status from the server.
- Destructive
Add a calendar to a resource
Add a calendar to a resource This feature is available only to customers that have purchaced the 'Calendar and Holidays' extension. In order to assign a specific calendar to a resource, update a resource by passing additional 'calendarIds' field into a request payload.
- Destructive
Update a holiday
Update a holiday
- Destructive
Delete a holiday
Delete a holiday
Booking Categories
- Read
Get All Booking Categories
The call will return an array of booking categories for your company. Property type shows if the booking category is default in its group. It can be set as NONOPTIONAL (default) or CUSTOM .
- Read
Search a Booking Category
Use the following command to search booking categories, it allows to get more complex results. Search Parameters Use paramters to narrow you search. You can send exact values or use parameters below.
- Read
Get a Booking Category by ID
Use the following command to get a specific booking category by id. A successful resource will return a 200 Ok response status from the server.
- Read
Get All Category Groups
The call will return an array of category groups for your company. The properties returned are displayed in example. Property type shows if the category group is default. It can be set as NONOPTIONAL (default) or CUSTOM .
- Read
Search Category Groups
Use the following command to search category groups, it allows to get more complex results. Search Parameters Use paramters to narrow you search. You can send exact values or use parameters below.
- Read
Get a Category Group by ID
Use the following command to get a specific category group by id. A successful resource will return a 200 Ok response status from the server. To receive CUSTOM gorups, there is extension "Booking Category Groups" required.
- Write
Create a Booking Category
In the body you have to send ID of the group to add new booking category. Possible values of property type are NONOPTIONAL and CUSTOM . Setting type to NONOPTIONAL sets the new category as default one in the group.
- Write
Create a Category Group
During creation of new category group, default category General for the group is created. You can use property projectIds to add the new group to projects. A successful create operation will return a 201 OK response status from the server.
- Destructive
Update an Existing Booking Category
You must pass in the entire object in the body when updating so no values will be overwritten. Best practice will be to read first and then merge. A successful update will return a 200 Ok response status from the server.
- Destructive
Delete a Booking Category
Use the following command to delete a specific booking category by id. You are not allowed to delete default type = "NONOPTIONAL" category. First you have to set different category as default. A successful delete will return a 204 Ok response status from the server.
- Destructive
Update an Existing Category Group
You must pass in the entire object in the body when updating so no values will be overwritten. Best practice will be to read first and then merge. A successful update will return a 200 Ok response status from the server.
- Destructive
Delete a Category Group
Use the following command to delete a specific booking category by id. You are not allowed to delete default type = "NONOPTIONAL" category group. Deleting a category group will cause in deleting all booking categories in it and removing it from projects.
Resource Dynamic Capacity
- Read
Get custom availability override
Get custom availability override
- Read
Get custom availability overrides by Resource ID
Get custom availability overrides by Resource ID
- Write
Create custom availability override
Property Type Description Default Required Sortable id string id of the custom availability override System NO - resourceId string id of the Resource - YES - from string Date - YES - to string Date - YES - minutes number Time based on intervals - it's calculated by the system Sy…
- Destructive
Update custom availability override
Property Type Description Default Required Sortable id string id of the custom availability override System NO - resourceId string id of the Resource - YES - from string Date - YES - to string Date - YES - minutes number Time based on intervals - it's calculated by the system Sy…
- Destructive
Delete custom availability override
Delete custom availability override
Tags
- Read
New Request
New Request
No operations match.
See How connections work for access and permissions, or browse all integrations.
Reference date: October 27, 2026. Hub Planner API docs.